ChartDirector Ver 5.0 (PHP Edition)

InterLineLayer.setGapColor

Usage

setGapColor(gapColor12 [, gapColor21 ])

Description

Sets the color used to fill the area under NoValue data points.
By default, if there are NoValue data points on the lines, ChartDirector will interpolate across the points. The region will remain continuous.
This method can be used to set up an alternative colors to represent the regions at NoValue data point positions. In particular, if the colors are set to Transparent, the NoValue data points will result in gaps in the fill region.

Arguments

Argument | Default | Description
--- | --- | ---
gapColor12 | (Mandatory) | The color used to fill the region under NoValue positions when value of the first line is greater of the value of the second line.
gapColor21 | -1 | The color used to fill the region under NoValue positions when value of the second line is greater of the value of the first line. -1 means it is the same as gapColor12.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.